อันดับครีเอเตอร์ - ครีเอเตอร์อีคอมเมิร์ซยอดนิยม
บทนำ
รับอันดับครีเอเตอร์อีคอมเมิร์ซยอดนิยม
- รองรับพารามิเตอร์ตัวกรอง
- รองรับการจัดเรียงผลลัพธ์แบบกำหนดเอง
เอนด์พอยต์ API
bash
POST /creator/v1/rank/topEcommerceเนื้อความคำขอ
| ฟิลด์ | ประเภท | จำเป็น | คำอธิบาย |
|---|---|---|---|
filter | object | ไม่ | พารามิเตอร์ตัวกรอง |
orderby | object | ไม่ | พารามิเตอร์การจัดเรียง |
page | integer | ไม่ | หมายเลขหน้า ค่าเริ่มต้น: 1 |
pagesize | integer | ไม่ | รายการต่อหน้า ค่าเริ่มต้น: 10 |
page*pagesize<= 1000
pagesizeช่วง [1, 100]
ค่าตัวเลือกของ filter
| ฟิลด์ | ประเภท | จำเป็น | คำอธิบาย |
|---|---|---|---|
region | string | ไม่ | ประเทศ/ภูมิภาค |
creator_category_id | integer | ไม่ | หมวดหมู่ครีเอเตอร์ |
product_category_id | integer | ไม่ | หมวดหมู่สินค้า |
account_type | integer | ไม่ | ประเภทครีเอเตอร์ 1:ส่วนบุคคล 2:ร้านค้า |
ecommerce_type | integer | ไม่ | 1:วิดีโอ 2:ไลฟ์ |
date_info | object | ใช่ | ข้อมูลวันที่ |
ช่วง
region:['US','GB','MX','ES','DE','IT','FR','PT','NL','BE','AT','PL','ID','VN','MY','TH','PH','BR','JP','SG']
ค่าตัวเลือกของ orderby
| ฟิลด์ | จำเป็น | คำอธิบาย |
|---|---|---|
creator_usd_gmv | ไม่ | GMV รวม (USD) (จากมากไปน้อย) |
video_usd_gmv | ไม่ | GMV วิดีโอ (USD) (จากมากไปน้อย) |
live_usd_gmv | ไม่ | GMV ไลฟ์ (USD) (จากมากไปน้อย) |
เมื่อ
ecommerce_typeว่าง ค่าเริ่มต้นคือเรียงจากมากไปน้อยตามcreator_usd_gmvเมื่อecommerce_type=1ค่าเริ่มต้นคือเรียงจากมากไปน้อยตามvideo_usd_gmvเมื่อecommerce_type=2ค่าเริ่มต้นคือเรียงจากมากไปน้อยตามlive_usd_gmvในกรณีอื่น ๆorderbyจะใช้ไม่ได้
ตัวอย่างคำขอ
bash
curl 'https://openapi.fastmoss.com/creator/v1/rank/topEcommerce' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
"filter": {
"region": "US",
"product_category": 1,
"date_info": {
"type": "day",
"value": "2023-02-01"
},
# "date_info": {
# "type": "week",
# "value": "2023-18"
# },
# "date_info": {
# "type": "month",
# "value": "2023-02"
# }
},
"orderby": [
{
"field": "total_gmv",
"order": "desc",
}
],
"page": 1,
"pagesize": 10
}'เนื้อความการตอบกลับ
data.total
- ประเภท: integer
- คำอธิบาย: จำนวนผลลัพธ์ทั้งหมด
data.list
| ฟิลด์ | ประเภท | คำอธิบาย |
|---|---|---|
uid | string | ID ครีเอเตอร์ |
follower_count | integer | จำนวนผู้ติดตามของครีเอเตอร์ |
product_count | integer | จำนวนสินค้าที่ขายได้ |
creator_gmv | float | GMV รวมของครีเอเตอร์ |
creator_usd_gmv | float | GMV รวมของครีเอเตอร์ (USD) |
video_count | integer | จำนวนวิดีโอ |
video_gmv | float | GMV รวมของวิดีโอ |
video_usd_gmv | float | GMV รวมของวิดีโอ (USD) |
live_count | integer | จำนวนไลฟ์ |
live_gmv | float | GMV รวมของไลฟ์ |
live_usd_gmv | float | GMV รวมของไลฟ์ (USD) |
data.list.creator
| ฟิลด์ | ประเภท | คำอธิบาย |
|---|---|---|
uid | string | ID ครีเอเตอร์ |
unique_id | string | ID ไม่ซ้ำของครีเอเตอร์ |
nickname | string | ชื่อเล่น |
avatar | string | URL รูปโปรไฟล์ครีเอเตอร์ |
region | string | ประเทศ/ภูมิภาค |
category | object | หมวดหมู่ครีเอเตอร์ |
follower_count | integer | จำนวนผู้ติดตามของครีเอเตอร์ |
video_count | integer | จำนวนวิดีโอ |
ตัวอย่างการตอบกลับ
json
{
"code": 0,
"data": {
"list": [
{
"creator": {
"uid": "6795828506624754693",
"nickname": "thebeautycrop",
"unique_id": "thebeautycrop",
"avatar": "https://s.500fd.com/tt_author/09c29664a10b2eeee9089b311a7cd8df~tplv-tiktokx-cropcenter:300:300.jpeg",
"region": "GB",
"category": {
"id": 2,
"name": "Shopping & Retail"
},
"follower_count": 238703,
"video_count": 3123
},
"follower_count": 238703,
"product_count": 96,
"creator_gmv": 20310.4,
"creator_usd_gmv": 25184.84,
"video_count": 105,
"video_gmv": 7632.68,
"video_usd_gmv": 9464.46,
"live_count": 11,
"live_gmv": 12677.72,
"live_usd_gmv": 15720.38,
"uid": "6795828506624754693",
"nickname": "thebeautycrop", //deprecated
"unique_id": "thebeautycrop", //deprecated
"avatar": "https://s.500fd.com/tt_author/09c29664a10b2eeee9089b311a7cd8df~tplv-tiktokx-cropcenter:300:300.jpeg", //deprecated
"region": "GB", //deprecated
"category": {
"id": 2,
"name": "Shopping & Retail"
} //deprecated
}
],
"total": "256",
"date_type": "week",
"date_value": "2026-03"
},
"message": "",
"timestamp": 1776165689,
"request_id": "55dc7b93-227b-de9b-2a7e-6eb7f9259555"
}